summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorJim Meyering <meyering@redhat.com>2010-03-28 20:49:39 +0200
committerJim Meyering <meyering@redhat.com>2010-03-28 20:59:44 +0200
commitf32e44bb10360465469891289be128ec66a666df (patch)
tree987e1d7212bb24762a967555a7b7364227261a15 /tests
parentd0d99971ff63d861d32e83d49eb399c3519a2542 (diff)
downloadgrep-f32e44bb10360465469891289be128ec66a666df.tar.gz
tests: also exercise the --include + glob path
* tests/include-exclude: Exercise Javier's fix.
Diffstat (limited to 'tests')
-rw-r--r--tests/include-exclude6
1 files changed, 6 insertions, 0 deletions
diff --git a/tests/include-exclude b/tests/include-exclude
index f4e5d9d2..0745ce5c 100644
--- a/tests/include-exclude
+++ b/tests/include-exclude
@@ -30,8 +30,14 @@ grep -r --exclude-dir=dir . x > out || fail=1
sort out > k && mv k out
compare out exp-not-dir || fail=1
+# Test with a non-glob.
grep -r --include=a . x > out || fail=1
# no need to sort
compare out exp-a || fail=1
+# Also test --include with a "glob".
+grep -r --include='a*' . x > out || fail=1
+# no need to sort
+compare out exp-a || fail=1
+
Exit $fail